/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland equivalents for the dos_find functions
*
****************************************************************************/

#include <stdlib.h>
#include <io.h>
#include <dir.h>
#include <dos.h>

_WCRTLINK int findfirst( const char *pathname,
                         struct ffblk *fblock,
                         int attrib )
{
    return( ( int )_dos_findfirst( pathname,
                                   ( unsigned )attrib,
                                   ( struct find_t * )fblock )
          );
}

_WCRTLINK int findnext( struct ffblk *fblock )
{
    return( ( int )_dos_findnext( ( struct find_t * )fblock ) );
}

_WCRTLINK int findclose( struct ffblk *fblock )
{
    return( ( int )_dos_findclose( ( struct find_t * )fblock ) );
}

